#include <component.h>
#include <marionette/marionette.h>

namespace smo {

Component::Component(const std::shared_ptr<ComponentThread> &thread)
:	thread(thread)
{
}

MindComponent::MindComponent(
	Mind &parent, const std::shared_ptr<ComponentThread> &thread)
:	Component(thread),
parent(parent)
{
}

namespace mrntt {

MarionetteComponent::MarionetteComponent(
	const std::shared_ptr<ComponentThread> &thread)
:	Component(thread)
{
}

} // namespace mrntt

} // namespace smo
